##################################################################
#
#   makefile
# 
#   for the MARS software
#
##################################################################
# @maintitle

# @code

#
#  please change all system depend values in the 
#  config.mk.${OSTYPE} file 
#
#
include ../Makefile.conf.$(OSTYPE)
include ../Makefile.conf.general

# @endcode 

# @code 

LIB   = mdatacheck.a

#
#  connect the include files defined in the config.mk file
#
INCLUDES = -I. -I../ -I../mbase -I../mraw

#
#  ----->>>   root libraries
#

ROOTLIBS   =  `root-config --libs`
ROOTGLIBS  =  `root-config --glibs`
ROOTCFLAGS =  `root-config --cflags`

#
#  compiler flags
#

CXXFLAGS  = $(ROOTCFLAGS) $(INCLUDES) $(OPTIM) $(DEBUG)
CFLAGS    = $(CXXFLAGS)
FFLAGS    = $(CXXFLAGS)

#------------------------------------------------------------------------------

#.SILENT:

.SUFFIXES: .c .cc .cxx .h .hxx .o 


SRCFILES = MViewAdcSpectra.cc \
	   MFillAdcSpect.cc \
	   MDumpEvtHeader.cc \
	   MShowSpect.cc \
	   MHistosAdc.cc \
	   MGDisplayAdc.cc

SRCS    = $(SRCFILES)
HEADERS = $(SRCFILES:.cc=.h)
OBJS    = $(SRCFILES:.cc=.o) 

############################################################

all: $(LIB)

depend:
	@makedepend $(SRCS) $(INCLUDES) $(ROOTCFLAGS) \
        -f../Makefile.depend 2> kk.kk ; cat kk.kk

$(LIB): $(OBJS) DataCheckCint.o
	@echo " - Building Library $(LIB) ... "
	$(AR) $(LIB) *.o

DataCheckCint.cc: $(HEADERS) 
	@echo 
	@echo " - Generating dictionary DataCheckCint.cc ..."

	$(ROOTSYS)/bin/rootcint -f DataCheckCint.cc \
	-c $(INCLUDES) $(HEADERS) DataCheckIncl.h DataCheckLinkDef.h 

.cxx.o:	
	@echo " - Compiling " $<
	$(CXX) $(CXXFLAGS) -c $< -o $@

.cc.o:	
	@echo " - Compiling " $<
	$(CXX) $(CXXFLAGS) -c $< -o $@

.c.o:	
	@echo " - Compiling " $<
	$(CC) $(CFLAGS) -c $< -o $@

#
# The cleaning facility
#

rmlib:	
	@echo "Removing libraries..."
	@rm -f lib*.a

rmcint:	
	@echo "Removing cint-stuff..."
	@rm -f DataCheckCint.*

rmobjs:	
	@echo "Removing object files..."
	@rm -f *.o

rmbin:	
	@echo "Removing binary files..."
	@rm -f core


clean:	rmlib rmcint rmobjs rmbin

mrproper:	clean
	@echo "Removing *~ kk.kk html/..."
	@rm -f *~ kk.kk

cflags: 
	@echo $(INCLUDES) $(CXXFLAGS)

# @endcode

